"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateVoterWeightRecord = void 0;
const web3_js_1 = require("@solana/web3.js");
const spl_governance_1 = require("@solana/spl-governance");
const constants_1 = require("./constants");
const voteStakeRegistryClient_1 = require("./voteStakeRegistryClient");
const vsrAccounts_1 = require("./vsrAccounts");
const updateVoterWeightRecord = async (client, walletPk) => {
    const { registrar } = await (0, vsrAccounts_1.getRegistrarPDA)(constants_1.MANGO_REALM_PK, new web3_js_1.PublicKey(constants_1.MANGO_MINT), voteStakeRegistryClient_1.DEFAULT_VSR_ID);
    const { voter } = await (0, vsrAccounts_1.getVoterPDA)(registrar, walletPk, voteStakeRegistryClient_1.DEFAULT_VSR_ID);
    const { voterWeightPk } = await (0, vsrAccounts_1.getVoterWeightPDA)(registrar, walletPk, voteStakeRegistryClient_1.DEFAULT_VSR_ID);
    const updateVoterWeightRecordIx = await client.program.methods
        .updateVoterWeightRecord()
        .accounts({
        registrar,
        voter,
        voterWeightRecord: voterWeightPk,
        systemProgram: spl_governance_1.SYSTEM_PROGRAM_ID,
    })
        .instruction();
    return { updateVoterWeightRecordIx, voterWeightPk };
};
exports.updateVoterWeightRecord = updateVoterWeightRecord;
