import { JUPITER } from './constants';
export var TransactionErrors;
(function (TransactionErrors) {
    // Slippage incurred was higher than user expected
    TransactionErrors[TransactionErrors["JupiterSlippageToleranceExceeded"] = 0] = "JupiterSlippageToleranceExceeded";
    TransactionErrors[TransactionErrors["Unknown"] = 1] = "Unknown";
})(TransactionErrors || (TransactionErrors = {}));
export function containsJupiterProgram(logMessages) {
    return (logMessages.some((msg) => msg.includes(JUPITER.V3.toBase58())) ||
        logMessages.some((msg) => msg.includes(JUPITER.V4.toBase58())) ||
        logMessages.some((msg) => msg.includes(JUPITER.V6.toBase58())));
}
export async function parseTxForKnownErrors(connection, signature) {
    const tx = await connection.getTransaction(signature, {
        commitment: 'confirmed',
        maxSupportedTransactionVersion: 0,
    });
    if (tx && tx.meta && tx.meta.logMessages) {
        if (tx.meta.logMessages.some((msg) => msg.includes('SlippageToleranceExceeded')) &&
            containsJupiterProgram(tx.meta.logMessages)) {
            return TransactionErrors.JupiterSlippageToleranceExceeded;
        }
    }
    return TransactionErrors.Unknown;
}
